import { Expr, FuncType, LocalVariables, Module } from './wasm';
interface Func {
    name?: string;
    locals?: LocalVariables;
    type: FuncType;
    code: Expr;
}
/**
 * Creates new, empty module
 *
 * @returns Empty, initialized module.
 */
export declare function createModule(): Module;
/**
 * Takes in a module and adds a function to it. Note: This mutates
 * the module.
 *
 * If a name is provided, we generate an export with that name
 *
 * @param module - A WebAssembly Module
 * @param func - The function
 * @returns Module with new function.
 */
export declare function addFunction(module: Module, func: Func): Module;
export {};
