import { CodeSection, DataCountSection, DataSection, ElementSection, ExportSection, FunctionSection, GlobalSection, ImportSection, MemorySection, Module, StartSection, TableSection, TypeSection } from './wasm';
import { SizeInfo } from './size';
interface Encoder {
    buffer: Uint8Array;
    index: number;
    textEncoder: TextEncoder;
    sizeInfo: SizeInfo;
}
export declare function createEncoder(module: Module): Encoder;
export declare function encodeModule(module: Module): Uint8Array;
export declare function encodeTypeSection(encoder: Encoder, typeSection: TypeSection): void;
export declare function encodeImportSection(encoder: Encoder, importSection: ImportSection): void;
export declare function encodeFunctionSection(encoder: Encoder, functionSection: FunctionSection): void;
export declare function encodeTableSection(encoder: Encoder, tableSection: TableSection): void;
export declare function encodeMemorySection(encoder: Encoder, memorySection: MemorySection): void;
export declare function encodeGlobalSection(encoder: Encoder, globalSection: GlobalSection): void;
export declare function encodeExportSection(encoder: Encoder, exportSection: ExportSection): void;
export declare function encodeStartSection(encoder: Encoder, startSection: StartSection): void;
export declare function encodeElementSection(encoder: Encoder, elementSection: ElementSection): void;
export declare function encodeCodeSection(encoder: Encoder, codeSection: CodeSection): void;
export declare function encodeDataSection(encoder: Encoder, dataSection: DataSection): void;
export declare function encodeDataCountSection(encoder: Encoder, dataCountSection: DataCountSection): void;
export {};
